Bug 1633381 - vc4 kernel crash [NEEDINFO]
Summary: vc4 kernel crash
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: armv7hl
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2018-09-26 20:49 UTC by Jussi Eloranta
Modified: 2019-09-17 20:06 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 20:06:06 UTC
labbott: needinfo? (eloranta)


Attachments (Terms of Use)

Description Jussi Eloranta 2018-09-26 20:49:29 UTC
Description of problem:

Running firefox on Raspberry Pi 3 B resulted in the following kernel crash msg:

[Sep26 13:42] ------------[ cut here ]------------
[  +0.003222] WARNING: CPU: 3 PID: 664 at drivers/gpu/drm/vc4/vc4_plane.c:741 vc4_plane_async_set_fb+0x70/0xa4 [vc4]
[  +0.006639] Modules linked in: rfcomm fuse cmac bnep vfat fat rc_cec vc4 snd_soc_core ac97_bus snd_pcm_dmaengine snd_seq snd_seq_device snd_pcm snd_timer snd soundcore cec brcmfmac rc_core drm_kms_helper brcmutil drm cfg80211 hci_uart fb_sys_fops pl2303 syscopyarea sysfillrect joydev btqca btbcm sysimgblt btintel bluetooth ecdh_generic rfkill gpio_raspberrypi_exp raspberrypi_hwmon bcm2835_thermal bcm2835_wdt bcm2835_rng cpufreq_dt leds_gpio hid_logitech_hidpp hid_logitech_dj smsc95xx usbnet mii mmc_block sdhci_iproc dwc2 crc32_arm_ce sdhci_pltfm sdhci udc_core i2c_bcm2835 pwm_bcm2835 bcm2835 bcm2835_dma phy_generic
[  +0.000184] CPU: 3 PID: 664 Comm: Xorg Not tainted 4.18.9-300.fc29.armv7hl #1
[  +0.000003] Hardware name: BCM2835
[  +0.000035] [<c0313f7c>] (unwind_backtrace) from [<c030dc64>] (show_stack+0x20/0x24)
[  +0.000015] [<c030dc64>] (show_stack) from [<c0b4ed44>] (dump_stack+0x88/0xa8)
[  +0.000021] [<c0b4ed44>] (dump_stack) from [<c0358be8>] (__warn+0xe8/0x104)
[  +0.000012] [<c0358be8>] (__warn) from [<c0358f5c>] (warn_slowpath_null+0x4c/0x58)
[  +0.000069] [<c0358f5c>] (warn_slowpath_null) from [<bf6d9548>] (vc4_plane_async_set_fb+0x70/0xa4 [vc4])
[  +0.000125] [<bf6d9548>] (vc4_plane_async_set_fb [vc4]) from [<bf6d95b0>] (vc4_plane_atomic_async_update+0x34/0xe0 [vc4])
[  +0.000128] [<bf6d95b0>] (vc4_plane_atomic_async_update [vc4]) from [<bf513314>] (drm_atomic_helper_async_commit+0x60/0x174 [drm_kms_helper])
[  +0.000123] [<bf513314>] (drm_atomic_helper_async_commit [drm_kms_helper]) from [<bf6d28c0>] (vc4_atomic_commit+0x74/0x16c [vc4])
[  +0.000237] [<bf6d28c0>] (vc4_atomic_commit [vc4]) from [<bf4942c0>] (drm_atomic_commit+0x50/0x60 [drm])
[  +0.000237] [<bf4942c0>] (drm_atomic_commit [drm]) from [<bf5147c0>] (drm_atomic_helper_update_plane+0xcc/0xf0 [drm_kms_helper])
[  +0.000216] [<bf5147c0>] (drm_atomic_helper_update_plane [drm_kms_helper]) from [<bf49be60>] (__setplane_internal+0x1b4/0x1e4 [drm])
[  +0.000295] [<bf49be60>] (__setplane_internal [drm]) from [<bf49bfec>] (drm_mode_cursor_universal+0x15c/0x1c4 [drm])
[  +0.000295] [<bf49bfec>] (drm_mode_cursor_universal [drm]) from [<bf49c130>] (drm_mode_cursor_common+0xdc/0x1d0 [drm])
[  +0.000294] [<bf49c130>] (drm_mode_cursor_common [drm]) from [<bf49c48c>] (drm_mode_cursor2_ioctl+0x18/0x1c [drm])
[  +0.000293] [<bf49c48c>] (drm_mode_cursor2_ioctl [drm]) from [<bf483308>] (drm_ioctl_kernel+0x8c/0xc8 [drm])
[  +0.000295] [<bf483308>] (drm_ioctl_kernel [drm]) from [<bf483640>] (drm_ioctl+0x2d0/0x360 [drm])
[  +0.000155] [<bf483640>] (drm_ioctl [drm]) from [<c051888c>] (vfs_ioctl+0x30/0x44)
[  +0.000012] [<c051888c>] (vfs_ioctl) from [<c0518a4c>] (do_vfs_ioctl+0x94/0x834)
[  +0.000011] [<c0518a4c>] (do_vfs_ioctl) from [<c051924c>] (ksys_ioctl+0x60/0x7c)
[  +0.000008] [<c051924c>] (ksys_ioctl) from [<c0519280>] (sys_ioctl+0x18/0x1c)
[  +0.000011] [<c0519280>] (sys_ioctl) from [<c0301000>] (ret_fast_syscall+0x0/0x54)
[  +0.000004] Exception stack(0xec765fa8 to 0xec765ff0)
[  +0.000007] 5fa0:                   b6f558f8 be8ed428 0000000c c02464bb be8ed428 00000006
[  +0.000006] 5fc0: b6f558f8 be8ed428 c02464bb 00000036 00000005 0137a084 00000040 00000002
[  +0.000005] 5fe0: b6bd2f08 be8ed40c b6bb94c4 b6875bcc
[  +0.000036] ---[ end trace 6a788abcf78a4eb3 ]---


Version-Release number of selected component (if applicable):

This is with kernel 4.18.9-300.fc29.armv7hl on Fedora 29.

How reproducible:

Run firefox and try running stuff from youtube (they are kind of too slow anyway to display well).

Comment 1 Jeremy Cline 2018-12-03 17:34:26 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.
 
Fedora 29 has now been rebased to 4.19.5-300.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 2 Peter Robinson 2018-12-04 02:41:11 UTC
Please re-test on 4.19.x

Comment 3 Jussi Eloranta 2018-12-04 22:08:01 UTC
It seems that 4.19.5 has fixed this issue (4.19.4 still had it). So, I will close this one.

Comment 4 Jussi Eloranta 2018-12-07 16:14:29 UTC
Sorry, spoke too soon. Just got this on 4.19.7-300.fc29.armv7hl:

[  382.700331] ------------[ cut here ]------------
[  382.705178] WARNING: CPU: 2 PID: 645 at drivers/gpu/drm/vc4/vc4_plane.c:793 vc4_plane_async_set_fb+0x70/0xa4 [vc4]
[  382.715727] Modules linked in: rfcomm fuse cmac bnep vfat fat rc_cec vc4 snd_soc_core ac97_bus snd_pcm_dmaengine snd_seq snd_seq_device snd_pcm snd_timer snd soundcore cec pl2303 rc_core drm_kms_helper drm joydev hci_uart fb_sys_fops syscopyarea sysfillrect sysimgblt btqca btbcm btintel raspberrypi_hwmon bluetooth ecdh_generic rfkill bcm2835_thermal vchiq(C) bcm2835_rng bcm2835_wdt leds_gpio cpufreq_dt hid_logitech_hidpp hid_logitech_dj smsc95xx usbnet mii mmc_block dwc2 sdhci_iproc sdhci_pltfm gpio_raspberrypi_exp crc32_arm_ce udc_core sdhci pwm_bcm2835 i2c_bcm2835 bcm2835 bcm2835_dma phy_generic
[  382.769635] CPU: 2 PID: 645 Comm: Xorg Tainted: G         C        4.19.7-300.fc29.armv7hl #1
[  382.769641] Hardware name: BCM2835
[  382.781753] [<c0313c9c>] (unwind_backtrace) from [<c030d8e0>] (show_stack+0x20/0x24)
[  382.789612] [<c030d8e0>] (show_stack) from [<c0b64064>] (dump_stack+0x88/0xa8)
[  382.796944] [<c0b64064>] (dump_stack) from [<c0355858>] (__warn+0xe8/0x104)
[  382.804008] [<c0355858>] (__warn) from [<c0355bcc>] (warn_slowpath_null+0x4c/0x58)
[  382.811739] [<c0355bcc>] (warn_slowpath_null) from [<bf4dd8bc>] (vc4_plane_async_set_fb+0x70/0xa4 [vc4])
[  382.821458] [<bf4dd8bc>] (vc4_plane_async_set_fb [vc4]) from [<bf4dd924>] (vc4_plane_atomic_async_update+0x34/0xe0 [vc4])
[  382.832694] [<bf4dd924>] (vc4_plane_atomic_async_update [vc4]) from [<bf3a7424>] (drm_atomic_helper_async_commit+0x60/0x174 [drm_kms_helper])
[  382.845682] [<bf3a7424>] (drm_atomic_helper_async_commit [drm_kms_helper]) from [<bf4d6a74>] (vc4_atomic_commit+0x74/0x174 [vc4])
[  382.857738] [<bf4d6a74>] (vc4_atomic_commit [vc4]) from [<bf331834>] (drm_atomic_commit+0x50/0x60 [drm])
[  382.867598] [<bf331834>] (drm_atomic_commit [drm]) from [<bf3a8808>] (drm_atomic_helper_update_plane+0xcc/0xf0 [drm_kms_helper])
[  382.879575] [<bf3a8808>] (drm_atomic_helper_update_plane [drm_kms_helper]) from [<bf339918>] (__setplane_atomic+0x120/0x128 [drm])
[  382.891798] [<bf339918>] (__setplane_atomic [drm]) from [<bf339cc8>] (drm_mode_cursor_universal+0x210/0x220 [drm])
[  382.902597] [<bf339cc8>] (drm_mode_cursor_universal [drm]) from [<bf339db4>] (drm_mode_cursor_common+0xdc/0x1d0 [drm])
[  382.913750] [<bf339db4>] (drm_mode_cursor_common [drm]) from [<bf33a18c>] (drm_mode_cursor2_ioctl+0x18/0x1c [drm])
[  382.924547] [<bf33a18c>] (drm_mode_cursor2_ioctl [drm]) from [<bf3204b8>] (drm_ioctl_kernel+0x8c/0xc8 [drm])
[  382.934813] [<bf3204b8>] (drm_ioctl_kernel [drm]) from [<bf3207f0>] (drm_ioctl+0x2d0/0x360 [drm])
[  382.943966] [<bf3207f0>] (drm_ioctl [drm]) from [<c0519b88>] (vfs_ioctl+0x30/0x44)
[  382.951646] [<c0519b88>] (vfs_ioctl) from [<c051a3e0>] (do_vfs_ioctl+0x94/0x840)
[  382.959147] [<c051a3e0>] (do_vfs_ioctl) from [<c051abec>] (ksys_ioctl+0x60/0x7c)
[  382.966647] [<c051abec>] (ksys_ioctl) from [<c051ac20>] (sys_ioctl+0x18/0x1c)
[  382.973888] [<c051ac20>] (sys_ioctl) from [<c0301000>] (ret_fast_syscall+0x0/0x54)
[  382.981563] Exception stack(0xec6f3fa8 to 0xec6f3ff0)
[  382.986686] 3fa0:                   b6fa58f8 beb5a428 0000000c c02464bb beb5a428 00000004
[  382.994982] 3fc0: b6fa58f8 beb5a428 c02464bb 00000036 00000005 01d8635c 00000040 00000002
[  383.003275] 3fe0: b6c20f04 beb5a40c b6c075d0 b68c2d1c
[  383.008450] ---[ end trace eda266f8d0f37274 ]---

Comment 5 Laura Abbott 2019-04-09 20:45:18 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.
 
Fedora XX has now been rebased to 5.0.6  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.
 
If you experience different issues, please open a new bug report for those.

Comment 6 Justin M. Forbes 2019-09-17 20:06:06 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.